Update Entity
curl --request PATCH \
--url https://api.replyke.com/api/v6/:projectId/api/v7/entities/:entityId \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"content": "<string>",
"attachments": [
{}
],
"keywords": [
"<string>"
],
"mentions": [
{}
],
"location": {},
"metadata": {}
}
'import requests
url = "https://api.replyke.com/api/v6/:projectId/api/v7/entities/:entityId"
payload = {
"title": "<string>",
"content": "<string>",
"attachments": [{}],
"keywords": ["<string>"],
"mentions": [{}],
"location": {},
"metadata": {}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
content: '<string>',
attachments: [{}],
keywords: ['<string>'],
mentions: [{}],
location: {},
metadata: {}
})
};
fetch('https://api.replyke.com/api/v6/:projectId/api/v7/entities/:entityId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Entity Endpoints
Update Entity
Update an entity’s content and metadata
PATCH
/
:projectId
/
api
/
v7
/
entities
/
:entityId
Update Entity
Updates the fields of an existing entity. Only the fields you include in the request body are updated — omitted fields are left unchanged. Only the entity’s author, or a request with a service or master key, can update an entity.
Authentication required.
Path Parameters
string
required
The UUID of the entity to update.
Body Parameters
string
New title for the entity.
string
New content body for the entity.
object[]
Replaces the entity’s
attachments array with the provided value.string[]
Replaces the entity’s
keywords array.object[]
Replaces the entity’s
mentions array. Each item is:{ type: "user", id: string, username: string, foreignId?: string }{ type: "space", id: string, slug: string }
object
New geographic coordinates:
{ "latitude": 40.7128, "longitude": -74.0060 }
object
Replaces the entity’s
metadata object entirely.Response
Returns the updated Entity object, populated with the author’s user profile.If
title or content changed, the entity’s semantic search embeddings are automatically re-queued for projects with AI search enabled.Error Responses
Not Found — 404
Not Found — 404
{ "error": "Entity not found.", "code": "entity/not-found" }
Unauthorized — 403
Unauthorized — 403
{ "error": "Not authorized to update this entity.", "code": "entity/not-authorized" }
⌘I

